# Created by pyp2rpm-3.3.7
%global pypi_name inflect
%global pypi_version 5.3.0

# missing pytest modules
%bcond_with check

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 3
Summary:        Correctly generate plurals, singular nouns, ordinals, indefinite articles; convert numbers to words
Group:          Development/Python
License:        None
URL:            https://github.com/jaraco/inflect
Source0:        https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(jaraco.packaging) >= 8.2
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(pygments)
%if %{with check}
BuildRequires:  python3dist(pytest) >= 4.6
BuildRequires:  python3dist(pytest-black) >= 0.3.7
BuildRequires:  python3dist(pytest-checkdocs) >= 1.2.3
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-enabler)
BuildRequires:  python3dist(pytest-flake8)
BuildRequires:  python3dist(pytest-mypy)
%endif
BuildRequires:  python3dist(rst.linker) >= 1.9
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 3.4.1
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(wheel)

%description
Correctly generate plurals, singular nouns, ordinals, indefinite articles;
convert numbers to words.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Correctly generate plurals, singular nouns, ordinals, indefinite articles;
convert numbers to words.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%doc html
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 5.3.0-3.mga9
+ Revision: 1832836
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 5.3.0-2.mga9
+ Revision: 1784340
- rebuild for python-3.10

* Wed Sep 01 2021 wally <wally> 5.3.0-1.mga9
+ Revision: 1743951
- imported package python-inflect

